#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 wai-extra
version:              3.0.29
visibility:           public
id:                   wai-extra-3.0.29-7UtlIRtd11nKk3uykIQJZK
key:                  wai-extra-3.0.29-7UtlIRtd11nKk3uykIQJZK
license:              MIT
maintainer:           michael@snoyman.com
author:               Michael Snoyman
stability:            Stable
homepage:             http://github.com/yesodweb/wai
synopsis:             Provides some basic WAI handlers and middleware.
description:
    Provides basic WAI handler and middleware functionality:

    * WAI Testing Framework

    Hspec testing facilities and helpers for WAI.

    * Event Source/Event Stream

    Send server events to the client. Compatible with the JavaScript
    EventSource API.

    * Accept Override

    Override the Accept header in a request. Special handling for the
    _accept query parameter (which is used throughout WAI override the
    Accept header).

    * Add Headers

    WAI Middleware for adding arbitrary headers to an HTTP request.

    * Clean Path

    Clean a request path to a canonical form.

    * GZip Compression

    Negotiate HTTP payload gzip compression.

    * HTTP Basic Authentication

    WAI Basic Authentication Middleware which uses Authorization header.

    * JSONP

    \"JSON with Padding\" middleware. Automatic wrapping of JSON
    responses to convert into JSONP.

    * Method Override / Post

    Allows overriding of the HTTP request method via the _method query string
    parameter.

    * Request Logging

    Request logging middleware for development and production environments

    * Request Rewrite

    Rewrite request path info based on a custom conversion rules.

    * Stream Files

    Convert ResponseFile type responses into ResponseStream type.

    * Virtual Host

    Redirect incoming requests to a new host based on custom rules.


    API docs and the README are available at <http://www.stackage.org/package/wai-extra>.

category:             Web
abi:                  8a3e2bf681b583dfc7fcb9362376d5be
exposed:              True
exposed-modules:
    Network.Wai.EventSource Network.Wai.EventSource.EventStream
    Network.Wai.Handler.CGI Network.Wai.Handler.SCGI Network.Wai.Header
    Network.Wai.Middleware.AcceptOverride
    Network.Wai.Middleware.AddHeaders Network.Wai.Middleware.Approot
    Network.Wai.Middleware.Autohead Network.Wai.Middleware.CleanPath
    Network.Wai.Middleware.ForceDomain Network.Wai.Middleware.ForceSSL
    Network.Wai.Middleware.Gzip Network.Wai.Middleware.HttpAuth
    Network.Wai.Middleware.Jsonp Network.Wai.Middleware.Local
    Network.Wai.Middleware.MethodOverride
    Network.Wai.Middleware.MethodOverridePost
    Network.Wai.Middleware.RequestLogger
    Network.Wai.Middleware.RequestLogger.JSON
    Network.Wai.Middleware.Rewrite Network.Wai.Middleware.Routed
    Network.Wai.Middleware.StreamFile
    Network.Wai.Middleware.StripHeaders Network.Wai.Middleware.Timeout
    Network.Wai.Middleware.Vhost Network.Wai.Parse Network.Wai.Request
    Network.Wai.Test Network.Wai.Test.Internal Network.Wai.UrlMap

hidden-modules:       Network.Wai.Middleware.RequestLogger.Internal
import-dirs:          /usr/lib/ghc-8.8.1/site-local/wai-extra-3.0.29
library-dirs:         /usr/lib/ghc-8.8.1/site-local/wai-extra-3.0.29
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.1/wai-extra-3.0.29
hs-libraries:         HSwai-extra-3.0.29-7UtlIRtd11nKk3uykIQJZK
depends:
    aeson-1.4.6.0-FtgMZHYEJRo3FziUkrcnxt
    ansi-terminal-0.10.2-HhJCIibw6rY8DtJJgZqOOO base-4.13.0.0
    base64-bytestring-1.0.0.3-4nZi1LwEwJr7tvLLqsbdYE
    bytestring-0.10.9.0 case-insensitive-1.2.1.0-Fe3WIcTJnRQLaRlw9UBs2v
    containers-0.6.2.1 cookie-0.4.5-591LVvRRzsZ5OxDfxk59tK
    data-default-class-0.1.2.0-3WblArvKItDIiwkDl9AciG deepseq-1.4.4.0
    directory-1.3.3.2 fast-logger-3.0.0-KWCnkQipuHHKLEPOK9qrnb
    http-types-0.12.3-85lGPJRLF2I37Mgb3xg0Lw
    http2-2.0.3-8fwAloEUANNCyevGut92im
    iproute-1.7.8-BuH8fDumysSEGWNedaXpbJ
    network-2.8.0.1-2fRTyv9BrlBJF19fhgl2xy
    old-locale-1.0.0.7-KOGgqu8HfWChZyQBUEp1c
    resourcet-1.2.2-Bsc4v9jk6XYAmA1Fc2KGt
    streaming-commons-0.2.1.2-AfcfJLTQaa592qosJl9BaL text-1.2.4.0
    time-1.9.3 transformers-0.5.6.2 unix-2.7.2.2
    unix-compat-0.5.2-1FQI6nqgJsoGP4VQqT0w3a
    vault-0.3.1.3-10oExzVPXVUJuyO3OETTTX
    void-0.7.3-FrIAx1z4E4J2j5pUfTWP2p
    wai-3.2.2.1-138FusFOGDjAHbgsIELOO0
    wai-logger-2.3.6-9fG8lFOizi06Lv0MAEVgiw
    word8-0.1.3-Ep7IGWLCq7MDOOxHUKeqqb
    zlib-0.6.2.1-IDS9nKkBLxoA62pJcVpMjW

haddock-interfaces:   /usr/share/doc/haskell-wai-extra/html/wai-extra.haddock
haddock-html:         /usr/share/doc/haskell-wai-extra/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

